%define name 	jackbeat
%define version 0.5.2
%define release 1mdk

Summary: 	Drum machine styled audio sequencer
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://www.xung.org/jackbeat/
License: 	GPL
Group: 		Sound
Source: 	http://www.xung.org/jackbeat/files/%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	ImageMagick jackit-devel gtk-devel libsndfile-devel

%description
Jackbeat is an audio sequencer with the following features :
    * drummachine-like interface for fast and easy edition
    * realtime operation : while playing, the pattern can be edited and
      resized, the bpm rate modified, and new samples loaded,
    * virtually unlimited number of tracks and beats
    * easy to use and yet powerful : just JACK it into jack-rack and you can
      apply LADSPA effect plugins on a per track basis, perform mastering
      with jackeq , etc...
    * loads and saves .jab files, Jackbeat's binary file format.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/jackbeat"\
title="JackBeat"\
longtitle="Drum machine styled audio sequencer"\
needs="x11"\
icon="sound_section.png"\
section="Multimedia/Sound"
EOF
)

%post
%update_menus

%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README 
%_bindir/%name
%_menudir/%name

%changelog
* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.5.2-1mdk
- New release 0.5.2

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.5.1-1mdk
- New release 0.5.1

* Sun Apr 17 2005 Austin Acton <austin@mandrake.org> 0.4.3-1mdk
- New release 0.4.3

* Thu Mar 31 2005 Austin Acton <austin@mandrake.org> 0.4.2-1mdk
- New release 0.4.2
- fix source URL

* Thu Mar 17 2005 Austin Acton <austin@mandrake.org> 0.4.1-1mdk
- New release 0.4.1

* Fri Mar 4 2005 Austin Acton <austin@mandrake.org> 0.4.0-1mdk
- 0.4.0
- source URL

* Sun Feb 20 2005 Austin Acton <austin@mandrake.org> 0.3.3-1mdk
- 0.3.3

* Fri Jul 9 2004 Austin Acton <austin@mandrake.org> 0.2.1-1mdk
- 0.2.1

